Skip to main content
GET
/
workspaces
/
{workspaceId}
/
transactions
/
{transactionId}
Get Transaction by ID
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/transactions/{transactionId}
{
  "accountId": "<string>",
  "createdAt": "<string>",
  "externalId": "<string>",
  "transactionId": "<string>",
  "workspaceId": "<string>",
  "createdBy": "<string>",
  "embedded": {
    "currentSigningRequest": {
      "accountId": "<string>",
      "blockchainNonce": "<string>",
      "messagesForSigning": {
        "messages": [
          {
            "message": "<string>"
          }
        ],
        "publicKey": "<string>",
        "useBackupPrimitive": true
      },
      "networkId": "<string>",
      "requestParameters": {},
      "shouldBeBroadcasted": true,
      "signed": {
        "signature": "<string>",
        "signatures": [
          {}
        ]
      },
      "signingData": {},
      "signingRequestId": "<string>",
      "transactionId": "<string>",
      "workspaceId": "<string>"
    },
    "events": [
      {
        "accountId": "<string>",
        "assetId": "<string>",
        "createdAt": "<string>",
        "eventId": "<string>",
        "transactionId": "<string>",
        "workspaceId": "<string>",
        "amount": "<string>",
        "blockchainTxId": "<string>",
        "extra": {
          "allowance": [
            {
              "address": "<string>",
              "amount": "<string>",
              "networkId": "<string>",
              "unlimited": true
            }
          ],
          "in": [
            {
              "address": "<string>",
              "amount": "<string>",
              "fromAccountId": "<string>",
              "fromAddressBookRecordId": "<string>",
              "networkId": "<string>"
            }
          ],
          "out": [
            {
              "address": "<string>",
              "amount": "<string>",
              "memo": "<string>",
              "networkId": "<string>",
              "toAccountId": "<string>",
              "toAddressBookRecordId": "<string>"
            }
          ],
          "rewardInfo": {},
          "signingMessage": {
            "message": "<string>",
            "version": "<string>"
          },
          "stakeInfo": [
            {}
          ],
          "transactionFailed": true,
          "walletStateInit": "<string>"
        },
        "networkId": "<string>",
        "symbol": "<string>",
        "usdAmount": "<string>"
      }
    ]
  },
  "expiresAt": "<string>",
  "extra": {
    "approvers": {
      "approvedBy": [
        "<string>"
      ],
      "availableApprovers": [
        "<string>"
      ],
      "limitId": "<string>",
      "number": "<string>",
      "securityDelayDuration": "<string>",
      "securityDelayExpiresAt": "<string>",
      "skipApproval": true
    },
    "blockchainDetails": [
      {
        "blockchainTxId": "<string>",
        "networkId": "<string>"
      }
    ],
    "blockchainRequest": {
      "externalBroadcast": true,
      "networkId": "<string>"
    },
    "confirmations": "<string>",
    "depositTransactionId": "<string>",
    "description": "<string>",
    "fromAccountId": "<string>",
    "fromAddress": "<string>",
    "fromWorkspaceIcon": "<string>",
    "fromWorkspaceName": "<string>",
    "fromWorkspaceTag": "<string>",
    "memo": "<string>",
    "signingRequestId": "<string>",
    "toAccountId": "<string>",
    "toAddress": "<string>",
    "toWorkspaceIcon": "<string>",
    "toWorkspaceName": "<string>",
    "toWorkspaceTag": "<string>",
    "withdrawTransactionId": "<string>"
  },
  "params": {
    "amount": "<string>",
    "assetId": "<string>",
    "feeLevel": "medium",
    "includeFee": "false",
    "memo": "<string>",
    "networkFees": {
      "feePerByte": "<string>",
      "gasLimit": "<string>",
      "gasPriceGwei": "<string>",
      "maxFeePerGas": "<string>",
      "maxPriorityFeePerGas": "<string>"
    },
    "networkId": "<string>",
    "symbol": "<string>",
    "toAccountId": "<string>",
    "toAddress": "<string>",
    "toAddressBookRecordId": "<string>",
    "toWorkspaceTag": "<string>"
  },
  "terminatedAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.bron.org/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

workspaceId
string
required
transactionId
string
required

Response

OK

accountId
string
required

The ID of the account

Example:

"w9jh0gf3w9qaxlre7enezt17"

accountType
enum<string>
required

The type of the account where the transaction should be placed. See details

Available options:
vault
createdAt
string<date-time-millis>
required

Transaction creation timestamp

Example:

"1747241036052"

externalId
string
required

Unique transaction identifier from client (should be unique per account)

Example:

"l2gzn31vga84q0qrhyw30inb"

status
enum<string>
required

Transaction status. See details

Available options:
new,
waiting-confirmations,
waiting-approval,
approved,
awaiting-security-policy,
completed,
partially-completed,
canceled,
expired,
signing-required,
signing,
signed,
broadcasted,
manual-resolving,
failed-on-blockchain,
removed-from-blockchain,
error,
awaiting-deposit,
awaiting-conversion,
awaiting-payout,
awaiting-defi-execution,
acceptance-required
transactionId
string
required

Transaction ID

Example:

"w2u573pjj5wl97p4v325z4a9"

transactionType
enum<string>
required

Transaction type. See details

Available options:
deposit,
withdrawal,
multi-withdrawal,
negative-deposit,
auto-withdrawal,
allowance,
defi,
defi-message,
address-activation,
address-creation,
stake-delegation,
stake-undelegation,
stake-claim,
stake-withdrawal,
stake-take-reward,
stake-earn-reward,
swap-lifi,
intents,
loyalty-lock,
loyalty-unlock,
loyalty-collect-rewards,
canton-reward,
nft-deposit,
nft-withdrawal,
nft-allowance,
fiat-out,
fiat-in,
bridge
Example:

"deposit"

workspaceId
string
required

The ID of the workspace

Example:

"e191u51yxnykins6fahd"

createdBy
string

Creator user ID

Example:

"e191u51yxnykins6fahdizxy"

embedded
object

Embedded related objects for this transaction

expiresAt
string<date-time-millis>

Transaction expiration timestamp

Example:

"1747241036582"

extra
object

Additional transaction specific information

params
Transfer · object

Initial transaction specific parameters

terminatedAt
string<date-time-millis>

Transaction termination timestamp

Example:

"1747241036782"

updatedAt
string<date-time-millis>

Transaction update timestamp

Example:

"1747241089580"